%define pkgname urlgrabber

Name:          python-urlgrabber
Version:       3.10
Release:       1mamba
Summary:       A high-level cross-protocol url-grabber
Group:         System/Libraries/Python
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           http://linux.duke.edu/projects/urlgrabber/
Source:        http://urlgrabber.baseurl.org/download/urlgrabber-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython-devel
## AUTOBUILDREQ-END
Requires:      python >= %python_version
Requires:      pycurl
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
A high-level cross-protocol url-grabber.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch}

rm -fr %{buildroot}%{_docdir}/urlgrabber-%{version}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/urlgrabber
%{_prefix}/libexec/urlgrabber-ext-down
%dir %{python_sitearch}/urlgrabber
%{python_sitearch}/urlgrabber/*
%{python_sitearch}/urlgrabber-*.egg-info
%doc LICENSE
#%doc ChangeLog README TODO

%changelog
* Thu Oct 10 2013 Automatic Build System <autodist@mambasoft.it> 3.10-1mamba
- automatic update by autodist

* Sat May 25 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 3.9.1-2mamba
- python 2.7 mass rebuild

* Thu Mar 25 2010 Davide Madrisan <davide.madrisan@gmail.com> 3.9.1-1mamba
- package created by autospec
